package com.herpro.databinding3.data;

import androidx.databinding.BaseObservable;
import androidx.databinding.Bindable;

import com.herpro.databinding3.BR;

public class CustomerViewModel extends BaseObservable {
    private String name;
    private String phone;
    private String address;
    private Gender gender;
    private boolean natural;
    private boolean subscriber;

    public CustomerViewModel(String name, String phone,
                             String address, Gender gender,
                             boolean natural, boolean subscriber) {
        this.name = name;
        this.phone = phone;
        this.address = address;
        this.gender = gender;
        this.natural = natural;
        this.subscriber = subscriber;
    }

    @Bindable
    public String getName() {
        return name;
    }


    public void setName(String name) {
        if (!this.name.equals(name)) {
            this.name = name;
            notifyPropertyChanged(BR.name);
        }
    }

    @Bindable
    public String getPhone() {
        return phone;
    }


    public void setPhone(String phone) {
        if (!this.phone.equals(phone)) {
            this.phone = phone;
            notifyPropertyChanged(BR.phone);
        }
    }

    @Bindable
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        if (!this.address.equals(address)) {
            this.address = address;
        }
    }

    @Bindable
    public Gender getGender() {
        return gender;
    }

    public void setGender(Gender gender) {
        if (this.gender != gender) {
            this.gender = gender;
            notifyPropertyChanged(BR.gender);
        }
    }

    @Bindable
    public boolean isNatural() {
        return natural;
    }

    public void setNatural(boolean natural) {
        if (this.natural != natural) {
            this.natural = natural;
            notifyPropertyChanged(BR.natural);
        }
    }

    @Bindable
    public boolean isSubscriber() {
        return subscriber;
    }

    public void setSubscriber(boolean subscriber) {
        if (this.subscriber != subscriber) {
            this.subscriber = subscriber;
            notifyPropertyChanged(BR.subscriber);
        }
    }

    public enum Gender {
        MASCULINE, FEMENINE
    }
}
