package com.herpro.databinding3.ui;

import android.os.Bundle;
import android.view.View;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;
import androidx.databinding.DataBindingUtil;

import com.herpro.databinding3.R;
import com.herpro.databinding3.data.CustomerViewModel;
import com.herpro.databinding3.data.CustomerViewModel.Gender;
import com.herpro.databinding3.databinding.ActivityMainBinding;

public class MainActivity extends AppCompatActivity {

    private CustomerViewModel mViewModel;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityMainBinding binding = DataBindingUtil.setContentView(
                this,
                R.layout.activity_main
        );

        mViewModel = new CustomerViewModel(
                "James",
                "3216574",
                "Cra 77 #2",
                Gender.MASCULINE,
                true,
                false
        );
        CustomerViewModel viewmodel = mViewModel;
        binding.setViewmodel(viewmodel);
        binding.setHandler(this);
    }

    public void saveCustomer(View v) {
        String sb = "Cliente actual:(\n" + "Nombre: " + mViewModel.getName() + "\n" +
                "Teléfono: " + mViewModel.getPhone() + "\n" +
                "Dirección: " + mViewModel.getAddress() + "\n" +
                "Género: " + mViewModel.getGender() + "\n" +
                "Tipo de cliente: " + (mViewModel.isNatural()?"Natural":"Empresarial") + "\n" +
                "¿En el boletín?: " + mViewModel.isSubscriber() + "\n)";
        Toast.makeText(this, sb, Toast.LENGTH_LONG).show();
    }
}
